<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.dayou.mapper.ReportNounMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.dayou.entity.ReportNoun">
        <result column="id" property="id" />
        <result column="deleted" property="deleted" />
        <result column="created" property="created" />
        <result column="modified" property="modified" />
        <result column="report_type" property="reportType" />
        <result column="name" property="name" />
        <result column="placeholder" property="placeholder" />
        <result column="value" property="value" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id,
        deleted,
        created,
        modified,
            report_type,
        name, placeholder, value
    </sql>

    <select id="getListByType" parameterType="java.lang.String" resultType="com.dayou.bo.ReportNounBO">
        select name,placeholder,`value` from report_noun where report_type = #{reportType} and deleted = 0 order by id ASC
    </select>
</mapper>
